Intel® Enhanced Privacy ID SDK 2.0.0

Data Structures | Macros | Functions
nr_prove.c File Reference

EpidNrProve implementation. More...

`#include "epid/common/memory.h"`
`#include "epid/member/api.h"`
`#include "epid/member/context.h"`

## Data Structures
struct | NrVerifyCommitValues
| Storage for values to create commitment in NrProve algorithm. More...

## Macros
#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...
#define | COUNT_OF(A) (sizeof(A) / sizeof((A)[0]))
| Count of elements in array.

## Functions
EpidStatus | EpidNrProve (MemberCtx const *ctx, void const *msg, size_t msg_len, BasicSignature const *sig, SigRlEntry const *sigrl_entry, NrProof *proof)
| Calculates a non-revoked proof for a single signature based revocation list entry. More...

## Detailed Description

EpidNrProve implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.